package com.zm.order.tool.server.stream.enums;

import com.zm.order.enums.OrderSource;
import com.zm.order.tool.server.enums.BizTypeEnum;

/**
 * 订单状态映射
 *
 * <p>
 *      烘焙与餐饮的订单来源值基本一致，只需要关注不同枚举转换即可
 * </p>
 *
 * @author nianchang
 * @date 2023/03/10 6:01 下午
 */
public enum OrderSourceMapping {

    /**
     * 烘焙抖音小程序
     */
    BAKERY_DY(BizTypeEnum.BAKING.getType(), 2, OrderSource.DY.getType()),

    ;

    /**
     * 业务类型
     *
     */
    private Integer bizType;

    /**
     * 旧枚举值
     */
    private Integer oldCode;

    /**
     * 新枚举值
     */
    private Integer newCode;

    public Integer getBizType() {
        return bizType;
    }

    public Integer getOldCode() {
        return oldCode;
    }

    public Integer getNewCode() {
        return newCode;
    }

    OrderSourceMapping(Integer bizType, Integer oldCode, Integer newCode) {
        this.bizType = bizType;
        this.oldCode = oldCode;
        this.newCode = newCode;
    }
}
